Index: DCWoRMS/branches/coolemall/src/test/jobschema/example/example3.xml
===================================================================
--- DCWoRMS/trunk/src/test/jobschema/example/example3.xml	(revision 856)
+++ DCWoRMS/branches/coolemall/src/test/jobschema/example/example3.xml	(revision 883)
@@ -16,7 +16,5 @@
 			<resourceConsumption>
 				<referenceHardware>Intel_i7</referenceHardware>
-				<time>
-					<periodDuration>PT2H</periodDuration>
-				</time>	
+				<duration>PT2H</duration>
 				<behaviour name="memory">
 					<value>20</value>
@@ -31,7 +29,5 @@
 			<resourceConsumption>
 				<referenceHardware>Intel_i7</referenceHardware>
-				<time>
-					<periodDuration>PT3H</periodDuration>
-				</time>
+			<duration>PT2H</duration>
 				<behaviour name="memory">
 					<value>20</value>
Index: DCWoRMS/branches/coolemall/src/test/jobschema/example/example4.xml
===================================================================
--- DCWoRMS/trunk/src/test/jobschema/example/example4.xml	(revision 745)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<qcgJob appId="0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:noNamespaceSchemaLocation="../QCGJobDescriptionSchemaNew.xsd">
-	<task taskId="0">
-		<requirements>
-			<resourceRequirements>
-				<computingResource>
-					<hostParameter name="cpucount">
-						<value>4</value>
-					</hostParameter>
-				</computingResource>
-			</resourceRequirements>
-		</requirements>
-		<execution>
-		<resourceConsumptionProfile>
-			<resourceConsumption>
-				<percentage>40</percentage>
-				<behaviour name="memory">
-					<value>20</value>
-				</behaviour>
-				<behaviour name="net">
-					<value>10</value>
-				</behaviour>
-				<behaviour name="cpu">
-					<value>10</value>
-				</behaviour>
-			</resourceConsumption>
-			<resourceConsumption>
-				<percentage>60</percentage>
-				<behaviour name="memory">
-					<value>20</value>
-				</behaviour>
-				<behaviour name="net">
-					<value>0</value>
-				</behaviour>
-				<behaviour name="cpu">
-					<value>90</value>
-				</behaviour>
-			</resourceConsumption>
-		</resourceConsumptionProfile>
-		</execution>
-	</task>
-</qcgJob>
Index: DCWoRMS/branches/coolemall/src/test/jobschema/QCGJobDescriptionSchemaNew.xsd
===================================================================
--- DCWoRMS/trunk/src/test/jobschema/QCGJobDescriptionSchemaNew.xsd	(revision 853)
+++ DCWoRMS/branches/coolemall/src/test/jobschema/QCGJobDescriptionSchemaNew.xsd	(revision 883)
@@ -670,8 +670,5 @@
 			<xs:element name="id" type="xs:string" minOccurs="0"/>
 			<xs:element name="referenceHardware" type="xs:string" minOccurs="0"/>
-			<xs:choice minOccurs="0">
-				<xs:element name="percentage" type="xs:double"/>
-				<xs:element name="time" type="phaseTimeType"/>
-			</xs:choice>
+			<xs:element name="duration" type="xs:duration" minOccurs="0"/>
 			<xs:element name="behaviour" type="phaseBehaviourType" minOccurs="1" maxOccurs="unbounded"/>
 		</xs:sequence>
@@ -686,9 +683,3 @@
 	</xs:complexType>
 	
-	<xs:complexType name="phaseTimeType">
-		<xs:sequence>
-				<xs:element name="periodDuration" type="xs:duration"/>
-		</xs:sequence>
-	</xs:complexType>
-	
 </xs:schema>
Index: DCWoRMS/branches/coolemall/src/test/jobschema/DCWoRMSTaskRequirementsImpl.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/jobschema/DCWoRMSTaskRequirementsImpl.java	(revision 883)
+++ DCWoRMS/branches/coolemall/src/test/jobschema/DCWoRMSTaskRequirementsImpl.java	(revision 883)
@@ -0,0 +1,151 @@
+package test.jobschema;
+
+import java.util.ArrayList;
+
+import org.qcg.broker.schemas.exception.NoSuchParamException;
+import org.qcg.broker.schemas.jobdesc.ComputingResourceType;
+import org.qcg.broker.schemas.jobdesc.RequirementsType;
+import org.qcg.broker.schemas.jobdesc.ResourceRequirementsType;
+import org.qcg.broker.schemas.jobdesc.types.ComputingParameterName;
+import org.qcg.broker.schemas.jobdesc.wrapper.ComputingResourceJobDescParamExplorer;
+import org.qcg.broker.schemas.jobdesc.wrapper.impl.ComputingResourceParamExplorerImpl;
+import org.qcg.broker.schemas.jobdesc.wrapper.impl.TaskRequirementsImpl;
+
+public class DCWoRMSTaskRequirementsImpl extends TaskRequirementsImpl{
+	protected double[] getDoubleValues(ComputingParameterName param, ValueType valueType) throws NoSuchParamException{
+		RequirementsType req = null;
+		ResourceRequirementsType taskResReq = null;
+		ComputingResourceType compRes = null;
+		double values[] = null;
+		double value = -1;
+		
+		ArrayList<Double> list = null;
+		ComputingResourceJobDescParamExplorer explorer = null;
+		
+		req = task.getRequirements();
+		if(req == null)
+			throw new NoSuchParamException("Requirements are not defined.");
+		
+		taskResReq = req.getResourceRequirements();
+		if(taskResReq == null)
+			throw new NoSuchParamException("Resource requirements are not defined.");
+		
+		list = new ArrayList<Double>();
+		explorer = new ComputingResourceParamExplorerImpl();
+		//explorer.setResourceTemplates(req.getResourceTemplates());
+		
+		
+		for(int i = 0; i < taskResReq.getComputingResourceCount(); i++){
+			compRes = taskResReq.getComputingResource(i);
+			explorer.explore(compRes);
+			
+			values = null;
+			value = -1;
+			try {
+				switch(param){
+					
+				case MEMORY: 
+						switch(valueType) {
+							case DOUBLE_VALUE: values = explorer.getMemory();
+								break;
+							case MIN_VALUE: value = explorer.getMinMemory();
+								break;
+							case MAX_VALUE: value = explorer.getMaxMemory();
+								break;
+						}
+						 
+						break;
+					
+					case FREEMEMORY: 
+						switch(valueType) {
+							case DOUBLE_VALUE: values = explorer.getFreememory();
+								break;
+							case MIN_VALUE: value = explorer.getMinFreememory();
+								break;
+							case MAX_VALUE: value = explorer.getMaxFreememory();
+								break;
+						}
+						
+						break;
+						
+					case CPUCOUNT: 
+						switch(valueType) {
+							case DOUBLE_VALUE: values = explorer.getCpucount();
+								break;
+							case MIN_VALUE: value = explorer.getMinCpucount(); 
+								break;
+							case MAX_VALUE: value = explorer.getMaxCpucount();
+								break;
+						}
+						 
+						break;
+						
+					case FREECPUS: 
+						switch(valueType) {
+							case DOUBLE_VALUE: values = explorer.getFreecpus();
+								break;
+							case MIN_VALUE: value = explorer.getMinFreecpus();
+								break;
+							case MAX_VALUE: value = explorer.getMaxFreecpus();
+								break;
+						}
+						
+						break;
+
+					case CPUSPEED: 
+						switch(valueType) {
+							case DOUBLE_VALUE: values = explorer.getCpuspeed();
+								break;
+							case MIN_VALUE: value = explorer.getMinCpuspeed();
+								break;
+							case MAX_VALUE: value = explorer.getMaxCpuspeed();
+								break;
+						}
+						
+						break;
+						
+					case DISKSPACE: 
+						switch(valueType) {
+							case DOUBLE_VALUE: values = explorer.getDiskspace();
+								break;
+							case MIN_VALUE: value = explorer.getMinDiskspace(); 
+								break;
+							case MAX_VALUE: value = explorer.getMaxDiskspace();
+								break;
+						}
+						 
+						break;
+
+					case FREEDISKSPACE: 
+						switch(valueType) {
+							case DOUBLE_VALUE: values = explorer.getFreediskspace();
+								break;
+							case MIN_VALUE: value = explorer.getMinFreediskspace();
+								break;
+							case MAX_VALUE: value = explorer.getMaxFreediskspace(); 
+								break;
+						}
+						
+						break;
+				}
+			} catch (NoSuchParamException e){
+				values = null;
+				value = -1;
+			}
+			
+			if(valueType == ValueType.DOUBLE_VALUE && values != null && values.length > 0){
+				list.add(values[0]);
+			} else if(valueType != ValueType.DOUBLE_VALUE && value != -1){
+				list.add(value);
+			}
+			
+		}
+		
+		values = new double[list.size()];
+		for(int i = 0; i < list.size(); i++){
+			values[i] = list.get(i);
+		}
+		
+		return values;
+	}
+}
Index: DCWoRMS/branches/coolemall/src/test/jobschema/TaskRequirementsNewImpl.java
===================================================================
--- DCWoRMS/trunk/src/test/jobschema/TaskRequirementsNewImpl.java	(revision 742)
+++ 	(revision )
@@ -1,151 +1,0 @@
-package test.jobschema;
-
-import java.util.ArrayList;
-
-import org.qcg.broker.schemas.exception.NoSuchParamException;
-import org.qcg.broker.schemas.jobdesc.ComputingResourceType;
-import org.qcg.broker.schemas.jobdesc.RequirementsType;
-import org.qcg.broker.schemas.jobdesc.ResourceRequirementsType;
-import org.qcg.broker.schemas.jobdesc.types.ComputingParameterName;
-import org.qcg.broker.schemas.jobdesc.wrapper.ComputingResourceJobDescParamExplorer;
-import org.qcg.broker.schemas.jobdesc.wrapper.impl.ComputingResourceParamExplorerImpl;
-import org.qcg.broker.schemas.jobdesc.wrapper.impl.TaskRequirementsImpl;
-
-public class TaskRequirementsNewImpl extends TaskRequirementsImpl{
-	protected double[] getDoubleValues(ComputingParameterName param, ValueType valueType) throws NoSuchParamException{
-		RequirementsType req = null;
-		ResourceRequirementsType taskResReq = null;
-		ComputingResourceType compRes = null;
-		double values[] = null;
-		double value = -1;
-		
-		ArrayList<Double> list = null;
-		ComputingResourceJobDescParamExplorer explorer = null;
-		
-		req = task.getRequirements();
-		if(req == null)
-			throw new NoSuchParamException("Requirements are not defined.");
-		
-		taskResReq = req.getResourceRequirements();
-		if(taskResReq == null)
-			throw new NoSuchParamException("Resource requirements are not defined.");
-		
-		list = new ArrayList<Double>();
-		explorer = new ComputingResourceParamExplorerImpl();
-		//explorer.setResourceTemplates(req.getResourceTemplates());
-		
-		
-		for(int i = 0; i < taskResReq.getComputingResourceCount(); i++){
-			compRes = taskResReq.getComputingResource(i);
-			explorer.explore(compRes);
-			
-			values = null;
-			value = -1;
-			try {
-				switch(param){
-					
-				case MEMORY: 
-						switch(valueType) {
-							case DOUBLE_VALUE: values = explorer.getMemory();
-								break;
-							case MIN_VALUE: value = explorer.getMinMemory();
-								break;
-							case MAX_VALUE: value = explorer.getMaxMemory();
-								break;
-						}
-						 
-						break;
-					
-					case FREEMEMORY: 
-						switch(valueType) {
-							case DOUBLE_VALUE: values = explorer.getFreememory();
-								break;
-							case MIN_VALUE: value = explorer.getMinFreememory();
-								break;
-							case MAX_VALUE: value = explorer.getMaxFreememory();
-								break;
-						}
-						
-						break;
-						
-					case CPUCOUNT: 
-						switch(valueType) {
-							case DOUBLE_VALUE: values = explorer.getCpucount();
-								break;
-							case MIN_VALUE: value = explorer.getMinCpucount(); 
-								break;
-							case MAX_VALUE: value = explorer.getMaxCpucount();
-								break;
-						}
-						 
-						break;
-						
-					case FREECPUS: 
-						switch(valueType) {
-							case DOUBLE_VALUE: values = explorer.getFreecpus();
-								break;
-							case MIN_VALUE: value = explorer.getMinFreecpus();
-								break;
-							case MAX_VALUE: value = explorer.getMaxFreecpus();
-								break;
-						}
-						
-						break;
-
-					case CPUSPEED: 
-						switch(valueType) {
-							case DOUBLE_VALUE: values = explorer.getCpuspeed();
-								break;
-							case MIN_VALUE: value = explorer.getMinCpuspeed();
-								break;
-							case MAX_VALUE: value = explorer.getMaxCpuspeed();
-								break;
-						}
-						
-						break;
-						
-					case DISKSPACE: 
-						switch(valueType) {
-							case DOUBLE_VALUE: values = explorer.getDiskspace();
-								break;
-							case MIN_VALUE: value = explorer.getMinDiskspace(); 
-								break;
-							case MAX_VALUE: value = explorer.getMaxDiskspace();
-								break;
-						}
-						 
-						break;
-
-					case FREEDISKSPACE: 
-						switch(valueType) {
-							case DOUBLE_VALUE: values = explorer.getFreediskspace();
-								break;
-							case MIN_VALUE: value = explorer.getMinFreediskspace();
-								break;
-							case MAX_VALUE: value = explorer.getMaxFreediskspace(); 
-								break;
-						}
-						
-						break;
-				}
-			} catch (NoSuchParamException e){
-				values = null;
-				value = -1;
-			}
-			
-			if(valueType == ValueType.DOUBLE_VALUE && values != null && values.length > 0){
-				list.add(values[0]);
-			} else if(valueType != ValueType.DOUBLE_VALUE && value != -1){
-				list.add(value);
-			}
-			
-		}
-		
-		values = new double[list.size()];
-		for(int i = 0; i < list.size(); i++){
-			values[i] = list.get(i);
-		}
-		
-		return values;
-	}
-}
